| OpenCV 3.4.8 Open Source Computer Vision

Classes | Enumerations | Functions
cv::stereo Namespace Reference

## Classes
struct | CensusKernel
| A kernel in which a pixel is compared with the center of the window. More...
class | CombinedDescriptor
class | Matching
struct | MCTKernel
class | MeanKernelIntegralImage
struct | ModifiedCsCensus
struct | MVKernel
class | StarKernelCensus
| implementation for the star kernel descriptor More...
class | StereoBinaryBM
| Class for computing stereo correspondence using the block matching algorithm, introduced and contributed to OpenCV by K. Konolige. More...
class | StereoBinarySGBM
| The class implements the modified H. Hirschmuller algorithm [93] that differs from the original one as follows: More...
class | StereoMatcher
| Filters off small noise blobs (speckles) in the disparity map. More...
class | SymetricCensus
| paralel implementation of the center symetric census More...

## Enumerations
enum | { CV_DENSE_CENSUS, CV_SPARSE_CENSUS, CV_CS_CENSUS, CV_MODIFIED_CS_CENSUS, CV_MODIFIED_CENSUS_TRANSFORM, CV_MEAN_VARIATION, CV_STAR_KERNEL }
enum | { CV_SPECKLE_REMOVAL_ALGORITHM, CV_SPECKLE_REMOVAL_AVG_ALGORITHM }
| speckle removal algorithms. These algorithms have the purpose of removing small regions More...
enum | { CV_QUADRATIC_INTERPOLATION, CV_SIMETRICV_INTERPOLATION }
| subpixel interpolationm methods for disparities. More...

## Functions
void | censusTransform (const cv::Mat &image1, const cv::Mat &image2, int kernelSize, cv::Mat &dist1, cv::Mat &dist2, const int type)
void | censusTransform (const cv::Mat &image1, int kernelSize, cv::Mat &dist1, const int type)
void | imageMeanKernelSize (const cv::Mat &img, int windowSize, cv::Mat &c)
void | modifiedCensusTransform (const cv::Mat &img1, const cv::Mat &img2, int kernelSize, cv::Mat &dist1, cv::Mat &dist2, const int type, int t=0, const cv::Mat &IntegralImage1=cv::Mat::zeros(100, 100, CV_8UC1), const cv::Mat &IntegralImage2=cv::Mat::zeros(100, 100, CV_8UC1))
void | modifiedCensusTransform (const cv::Mat &img1, int kernelSize, cv::Mat &dist, const int type, int t=0, const cv::Mat &IntegralImage=cv::Mat::zeros(100, 100, CV_8UC1))
void | starCensusTransform (const cv::Mat &img1, const cv::Mat &img2, int kernelSize, cv::Mat &dist1, cv::Mat &dist2)
void | starCensusTransform (const cv::Mat &img1, int kernelSize, cv::Mat &dist)
void | symetricCensusTransform (const cv::Mat &img1, const cv::Mat &img2, int kernelSize, cv::Mat &dist1, cv::Mat &dist2, const int type)
void | symetricCensusTransform (const cv::Mat &img1, int kernelSize, cv::Mat &dist1, const int type)

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
CV_DENSE_CENSUS |
CV_SPARSE_CENSUS |
CV_CS_CENSUS |
CV_MODIFIED_CS_CENSUS |
CV_MODIFIED_CENSUS_TRANSFORM |
CV_MEAN_VARIATION |
CV_STAR_KERNEL |

## Function Documentation

## § censusTransform() [1/2]

void cv::stereo::censusTransform | ( | const cv::Mat & | image1,
|  | const cv::Mat & | image2,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | cv::Mat & | dist2,
|  | const int | type
| ) |  |

Two variations of census applied on input images Implementation of a census transform which is taking into account just the some pixels from the census kernel thus allowing for larger block sizes

## § censusTransform() [2/2]

void cv::stereo::censusTransform | ( | const cv::Mat & | image1,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | const int | type
| ) |  |

## § imageMeanKernelSize()

void cv::stereo::imageMeanKernelSize | ( | const cv::Mat & | img,
|  | int | windowSize,
|  | cv::Mat & | c
| ) |  |

## § modifiedCensusTransform() [1/2]

void cv::stereo::modifiedCensusTransform | ( | const cv::Mat & | img1,
|  | const cv::Mat & | img2,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | cv::Mat & | dist2,
|  | const int | type,
|  | int | t = `0`,
|  | const cv::Mat & | IntegralImage1 = `cv::Mat::zeros(100, 100, CV_8UC1)`,
|  | const cv::Mat & | IntegralImage2 = `cv::Mat::zeros(100, 100, CV_8UC1)`
| ) |  |

STANDARD_MCT - Modified census which is memorizing for each pixel 2 bits and includes a tolerance to the pixel comparison MCT_MEAN_VARIATION - Implementation of a modified census transform which is also taking into account the variation to the mean of the window not just the center pixel

## § modifiedCensusTransform() [2/2]

void cv::stereo::modifiedCensusTransform | ( | const cv::Mat & | img1,
|  | int | kernelSize,
|  | cv::Mat & | dist,
|  | const int | type,
|  | int | t = `0`,
|  | const cv::Mat & | IntegralImage = `cv::Mat::zeros(100, 100, CV_8UC1)`
| ) |  |

## § starCensusTransform() [1/2]

void cv::stereo::starCensusTransform | ( | const cv::Mat & | img1,
|  | const cv::Mat & | img2,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | cv::Mat & | dist2
| ) |  |

## § starCensusTransform() [2/2]

void cv::stereo::starCensusTransform | ( | const cv::Mat & | img1,
|  | int | kernelSize,
|  | cv::Mat & | dist
| ) |  |

## § symetricCensusTransform() [1/2]

void cv::stereo::symetricCensusTransform | ( | const cv::Mat & | img1,
|  | const cv::Mat & | img2,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | cv::Mat & | dist2,
|  | const int | type
| ) |  |

The classical center symetric census A modified version of cs census which is comparing a pixel with its correspondent after the center

## § symetricCensusTransform() [2/2]

void cv::stereo::symetricCensusTransform | ( | const cv::Mat & | img1,
|  | int | kernelSize,
|  | cv::Mat & | dist1,
|  | const int | type
| ) |  |